> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service echo. Used to check Bango Resale API availability.



## OpenAPI

````yaml /openapi/legacy/resale/reseller-to-bango/openapi.yaml post /v1/echo/{echoRequestId}
openapi: 3.0.0
info:
  title: Bango Reseller API
  description: >
    Changelog

    * 1.0.24:
      * Adding /notify endpoint for async notification actioned confirmation
    * 1.0.23:
      * Adding optional sharedCustomerId to all responses
    * 1.0.22:
      * Adding `409 CONFLICT` to
        * `POST /v1/entitlement/cancel/{entitlementId}`
        * `POST /v1/entitlement/revoke/{entitlementId}`
    * 1.0.21: 
      * Adding financeData support to all responses
      * Adding `ACTIVE-ENDING` as a new `status`
    * 1.0.20: 
      * Adding dateAutoSuspend functionality to create and patch entitlement methods
      * Adding dateAutoSuspend parameter to response objects when parameter has a value set
    * 1.0.19:
      * Adding the entitlementBenefits functionality to the patch entitlement method
    * 1.0.18:
      * Adding ExternalEntitlementId to the create and patch request
      * Adding ExternalEntitlementId to the responses
      * Adding the new GET call in v1/entitlement to retrieve Entitlement information using ExternalEntitlementId
    * 1.0.17:
      * Updating API spec to be OpenAPI3
    * 1.0.16:
      * Adding the support for a 201 created response for Create Entitlement
      * Adding serviceFlow parameter to extraInformation source object
    * 1.0.15
      * Removing support for ACTIVATION_ status'
      * Extended extraInformation to include communicationInformation and source objects
    * 1.0.14: Added a new optional object called extraInformation which contains
    an object called clientDevice * 1.0.13: Added ResumedDate into the
    EntitlementObject. Date is set when using the ResumeEntitlement method *
    1.0.12: Added SuspendEntitlement and ResumeEntitlement methods * 1.0.11:
    Added EntitlementReport * 1.0.6: Initial release
  version: 1.0.24
servers:
  - description: SwaggerHub API Auto Mocking
    url: https://virtserver.swaggerhub.com/BangoProducts/Reseller-API/1.0.23
security:
  - basic: []
externalDocs:
  description: Bango developer documentation
  url: https://developer.bango.com
paths:
  /v1/echo/{echoRequestId}:
    post:
      tags:
        - Echo
      summary: Service echo. Used to check Bango Resale API availability.
      operationId: echo
      parameters:
        - name: X-RequestIdentifier
          in: header
          description: >-
            Request unique identifier. If present, this id will be used for
            idempotency.
          schema:
            type: string
        - name: echoRequestId
          in: path
          description: >-
            An arbitrary identifier, which the Bango Platform repeats in a
            successful response.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Echo request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EchoResponse'
              examples:
                OK:
                  value:
                    responseCode: OK
                    responseMessage: Success
                    echo: a25100b8-4e0c-4e37-b921-cac9cb1e930f
        '400':
          description: Invalid API request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
              examples:
                InvalidAPIRequest:
                  value:
                    responseCode: BAD_REQUEST
                    responseMessage: Invalid request.
        '401':
          description: IP address or access credentials are invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
              examples:
                Unauthorized:
                  value:
                    responseCode: UNAUTHORIZED
                    responseMessage: >-
                      You have not provided adequate credentials to access this
                      resource.
        '429':
          description: Request limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
              examples:
                TooManyRequests:
                  value:
                    responseCode: TOO_MANY_REQUESTS
                    responseMessage: Request limit reached. Please try again later.
        '500':
          description: Unexpected server issue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
              examples:
                InternalError:
                  value:
                    responseCode: INTERNAL_ERROR
                    responseMessage: null
        '503':
          description: Bango Platform undergoing maintenance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
              examples:
                ServiceUnavailable:
                  value:
                    responseCode: SERVICE_UNAVAILABLE
                    responseMessage: null
components:
  schemas:
    EchoResponse:
      type: object
      properties:
        responseCode:
          type: string
        responseMessage:
          type: string
        echo:
          type: string
    ResponseObject:
      type: object
      properties:
        responseCode:
          type: string
        responseMessage:
          type: string
  securitySchemes:
    basic:
      type: http
      description: Basic authentication
      scheme: basic

````